path: /build/build/keyutils-sys-apps-1.6.3.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-prefix" emerge sys-apps/keyutils -pv -t && \
    USE="-prefix" emerge -j ${JOBS} --nodeps sys-apps/keyutils
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/keyutils && luet-portage --dir /pkgdir/keyutils
    sys-apps/keyutils && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3f78bf16e56bc1a68f3951225fed8d7b72ad0c8e78b2c9b927ac72cfc68723be
  package:
    name: keyutils
    version: 1.6.3
    category: sys-apps
    use_flags:
    - -prefix
    requires:
    - name: macaroni-funtoo-race8
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Linux Key Management Utilities
    uri:
    - https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/keyutils.git
    license: GPL-2 LGPL-2.1
    buildtimestamp: 2023-08-23 11:28:54.160696436 +0000 UTC m=+60.924202912
    labels:
      DEPEND: '!prefix? ( >=sys-kernel/linux-headers-2.6.11 )'
      IUSE: static static-libs kernel_linux +split-usr
      emerge.packages: sys-apps/keyutils
      kit: security-kit
      original.package.name: sys-apps/keyutils
      original.package.slot: "0"
      original.package.version: 1.6.3
    treedir: /build/packages
  package_dir: /pkgdir/keyutils
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 03d65d711c91c132a2288328aa540e5f414afe1c87655e450e104447ba3d831b
compressiontype: zstd
files:
- bin/keyctl
- etc/request-key.conf
- lib64/libkeyutils.so.1
- lib64/libkeyutils.so.1.10
- sbin/key.dns_resolver
- sbin/request-key
- usr/include/keyutils.h
- usr/lib64/libkeyutils.so
- usr/lib64/pkgconfig/libkeyutils.pc
- usr/share/doc/keyutils-1.6.3/README.bz2
- usr/share/keyutils/request-key-debug.sh
- usr/share/man/man1/keyctl.1.bz2
- usr/share/man/man3/find_key_by_type_and_name.3.bz2
- usr/share/man/man3/keyctl.3.bz2
- usr/share/man/man3/keyctl_assume_authority.3.bz2
- usr/share/man/man3/keyctl_capabilities.3.bz2
- usr/share/man/man3/keyctl_chown.3.bz2
- usr/share/man/man3/keyctl_clear.3.bz2
- usr/share/man/man3/keyctl_describe.3.bz2
- usr/share/man/man3/keyctl_describe_alloc.3.bz2
- usr/share/man/man3/keyctl_dh_compute.3.bz2
- usr/share/man/man3/keyctl_dh_compute_alloc.3.bz2
- usr/share/man/man3/keyctl_dh_compute_kdf.3.bz2
- usr/share/man/man3/keyctl_get_keyring_ID.3.bz2
- usr/share/man/man3/keyctl_get_persistent.3.bz2
- usr/share/man/man3/keyctl_get_security.3.bz2
- usr/share/man/man3/keyctl_get_security_alloc.3.bz2
- usr/share/man/man3/keyctl_instantiate.3.bz2
- usr/share/man/man3/keyctl_instantiate_iov.3.bz2
- usr/share/man/man3/keyctl_invalidate.3.bz2
- usr/share/man/man3/keyctl_join_session_keyring.3.bz2
- usr/share/man/man3/keyctl_link.3.bz2
- usr/share/man/man3/keyctl_move.3.bz2
- usr/share/man/man3/keyctl_negate.3.bz2
- usr/share/man/man3/keyctl_pkey_decrypt.3
- usr/share/man/man3/keyctl_pkey_encrypt.3.bz2
- usr/share/man/man3/keyctl_pkey_query.3.bz2
- usr/share/man/man3/keyctl_pkey_sign.3.bz2
- usr/share/man/man3/keyctl_pkey_verify.3
- usr/share/man/man3/keyctl_read.3.bz2
- usr/share/man/man3/keyctl_read_alloc.3.bz2
- usr/share/man/man3/keyctl_reject.3.bz2
- usr/share/man/man3/keyctl_restrict_keyring.3.bz2
- usr/share/man/man3/keyctl_revoke.3.bz2
- usr/share/man/man3/keyctl_search.3.bz2
- usr/share/man/man3/keyctl_session_to_parent.3.bz2
- usr/share/man/man3/keyctl_set_reqkey_keyring.3.bz2
- usr/share/man/man3/keyctl_set_timeout.3.bz2
- usr/share/man/man3/keyctl_setperm.3.bz2
- usr/share/man/man3/keyctl_unlink.3.bz2
- usr/share/man/man3/keyctl_update.3.bz2
- usr/share/man/man3/keyctl_watch_key.3.bz2
- usr/share/man/man3/recursive_key_scan.3.bz2
- usr/share/man/man3/recursive_session_key_scan.3.bz2
- usr/share/man/man5/key.dns_resolver.conf.5.bz2
- usr/share/man/man5/request-key.conf.5.bz2
- usr/share/man/man7/asymmetric-key.7.bz2
- usr/share/man/man7/keyutils.7.bz2
- usr/share/man/man8/key.dns_resolver.8.bz2
- usr/share/man/man8/request-key.8.bz2
- var/db/pkg/sys-apps/keyutils-1.6.3/BUILD_TIME
- var/db/pkg/sys-apps/keyutils-1.6.3/CATEGORY
- var/db/pkg/sys-apps/keyutils-1.6.3/CBUILD
- var/db/pkg/sys-apps/keyutils-1.6.3/CC
- var/db/pkg/sys-apps/keyutils-1.6.3/CFLAGS
- var/db/pkg/sys-apps/keyutils-1.6.3/CHOST
- var/db/pkg/sys-apps/keyutils-1.6.3/CONTENTS
- var/db/pkg/sys-apps/keyutils-1.6.3/COUNTER
- var/db/pkg/sys-apps/keyutils-1.6.3/CXXFLAGS
- var/db/pkg/sys-apps/keyutils-1.6.3/DEFINED_PHASES
- var/db/pkg/sys-apps/keyutils-1.6.3/DEPEND
- var/db/pkg/sys-apps/keyutils-1.6.3/DESCRIPTION
- var/db/pkg/sys-apps/keyutils-1.6.3/EAPI
- var/db/pkg/sys-apps/keyutils-1.6.3/FEATURES
- var/db/pkg/sys-apps/keyutils-1.6.3/HOMEPAGE
- var/db/pkg/sys-apps/keyutils-1.6.3/INHERITED
- var/db/pkg/sys-apps/keyutils-1.6.3/IUSE
- var/db/pkg/sys-apps/keyutils-1.6.3/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/keyutils-1.6.3/KEYWORDS
- var/db/pkg/sys-apps/keyutils-1.6.3/LDFLAGS
- var/db/pkg/sys-apps/keyutils-1.6.3/LICENSE
- var/db/pkg/sys-apps/keyutils-1.6.3/NEEDED
- var/db/pkg/sys-apps/keyutils-1.6.3/PF
- var/db/pkg/sys-apps/keyutils-1.6.3/PROVIDES
- var/db/pkg/sys-apps/keyutils-1.6.3/REQUIRES
- var/db/pkg/sys-apps/keyutils-1.6.3/RESTRICT
- var/db/pkg/sys-apps/keyutils-1.6.3/SIZE
- var/db/pkg/sys-apps/keyutils-1.6.3/SLOT
- var/db/pkg/sys-apps/keyutils-1.6.3/USE
- var/db/pkg/sys-apps/keyutils-1.6.3/environment.bz2
- var/db/pkg/sys-apps/keyutils-1.6.3/keyutils-1.6.3.ebuild
- var/db/pkg/sys-apps/keyutils-1.6.3/repository
package_cacheimage: ""
runtime:
  name: keyutils
  version: 1.6.3
  category: sys-apps
  use_flags:
  - -prefix
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Linux Key Management Utilities
  uri:
  - https://git.kernel.org/pub/scm/linux/kernel/git/dhowells/keyutils.git
  license: GPL-2 LGPL-2.1
  labels:
    DEPEND: '!prefix? ( >=sys-kernel/linux-headers-2.6.11 )'
    IUSE: static static-libs kernel_linux +split-usr
    emerge.packages: sys-apps/keyutils
    kit: security-kit
    original.package.name: sys-apps/keyutils
    original.package.slot: "0"
    original.package.version: 1.6.3
